Skip to main content
GET
List artifacts in flow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
org
string
required

Query Parameters

page
integer | null
default:1

The page number of response

per_page
integer | null
default:15

How many results to return per page of response

Response

Successful Response

id
string
required
fingerprint
string
required
Pattern: ^[a-f0-9]{64}$
filename
string
required
created_at
string
required
last_modified_at
string
required
evidence
Evidence · object
required
trail_name
string | null
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
template_reference_name
string | null
Pattern: ^[a-zA-Z0-9\-_]+$
git_commit
string | null
Pattern: ^[a-f0-9]{40}$
git_commit_info
GitCommit · object | null
repo_info
RepoInfoResponse · object | null
commit_url
string | null
build_url
string | null
repo_url
string | null
html_url
string | null
api_url
string | null
user_data
unknown
external_urls
External Urls · object | null
annotations
Annotations · object | null
state
enum<string> | null
Available options:
COMPLIANT,
NON-COMPLIANT,
INCOMPLETE
deployments
integer[]
releases
integer[]
Last modified on June 18, 2026